@charset "UTF-8";

/* .header-container, .body-container, .footer-container{
max-width: 500px !important;
margin: 0 auto;
} */
html, body{
  background-color: #ddd !important;
  /* max-width: 500px; */
  /* margin: 0 auto !important; */
}
body {
  /* background-color: #808000; */
  padding: 80px 0 0 0;
  
  
}

body, input, button {
  font-family: 'Roboto', sans-serif;
}

.noFill {
  fill: none;
}

header {
  width: 100%;
  height: 125px;
  
  position: absolute;
  padding: 0px 15px 0px 15px;
  top: 0;
  left: 0;
  z-index: 5;

  background: #292929;
  box-shadow: 7px 7px 5px 0px rgba(0, 0, 0, 0.75);
  border-bottom-right-radius: 25px;
  border-bottom-left-radius: 25px;
}


h1 {
  color: #fff;
  padding-left: 200px;
  position: absolute;
  top: calc(1px + 0.3vw);
  font-size: calc(25px + 0.5vw);
  z-index: 6;
  }

header input {
  width: 100%;
  height: 50px;
  float: left;
  color: #fff;
  font-size: 15px;
  font-weight: 400;
  text-indent: 18px;
  padding: 0 60px 0 0;
  background: rgba(255, 255, 255, 0.2);
  border-radius: 25px 25px 25px 25px;
  border: 0px;
  box-shadow: none;
  outline: none;

  -webkit-appearance: none;
  -moz-appearance: none;
}

header input::-webkit-input-placeholder {
  color: rgba(255, 255, 255, 0.75);
}

header input:-moz-input-placeholder {
  color: rgba(255, 255, 255, 0.75);
}

header input::-moz-input-placeholder {
  color: rgba(255, 255, 255, 0.75);
}

header input:-ms-input-placeholder {
  color: rgba(255, 255, 255, 0.75);
}

.container {
  width: 100%;
  float: center;
  padding: 15px;
  margin-top: 50px;
}

ul.todo {
  width: 100%;
  float: left;
}

ul.todo li {
  width: 100%;
  min-height: 50px;
  float: left;
  font-size: 14px;
  font-weight: 500;
  color: #EDF0F1;
  line-height: 22px;

  background: #292929;
  border-radius: 5px;
  position: relative;
  box-shadow: 5px 5px 5px rgba(0,0,0,0.75);
  margin: 0 0 10px 0;
  padding: 14px 100px 14px 14px;
  word-break: break-word;
}


.overlay {
  position: absolute;
  top: 0px;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
  z-index: 6;
}
.overlay:target {
  visibility: visible;
  opacity: 1;
}


img #play {
  position: fixed; 
  bottom: 30px;
  right:30px;
}

.popup {
  top: 50px;
  margin: auto;
  max-width: 700px;
  /* margin: 5%; */
  padding: 20px;
  background: #fff;
  border-radius: 5px;
  /* width: 5%;  */
  height: 85%;
  position: relative;
  transition: all 5s ease-in-out;
}

.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .content {
  padding: 20px;
  max-height: 90%;
  overflow: auto;
}
 
@media screen and (max-width: 700px){
  .box{
    width: 70%;
  }
  .popup{
     width: 85%; 
  }
  .wrap{
    width: 85%;
  }
} 




ul.todo li:hover {
    /* background: rgba(41,41,41, 0.2);   */
    background: rgba(255,255,255,0.2);  
   border-radius: 20px/50px; 
   color: black; 
   font-weight: bold;
}

ul.todo li:last-of-type {
  margin: 0;
}

ul.todo li .buttons {
  width: 100px;
  height: 50px;

  position: absolute;
  top: 0;
  right: 0;
  z-index: 6;
}

ul.todo li .buttons button {
  width: 50px;
  height: 50px;
  float: left;
  background: none;
  position: relative;
  border: 0px;
  box-shadow: none;
  outline: none;
  cursor: pointer;

  -webkit-appearance: none;
  -moz-appearance: none;
}

ul.todo li .buttons button:last-of-type:before {
  content: '';
  width: 1px;
  height: 30px;
  background: #edf0f1;

  position: absolute;
  top: 10px;
  left: 0;
}

ul.todo li .buttons button svg {
  width: 22px;
  height: 22px;

  position: absolute;
  top: 50%;
  left: 50%;

  margin: -11px 0 0 -11px;
}

ul.todo li .buttons button.complete svg {
  border-radius: 4px;
   /* border: 1.5px solid #aaa;  */
   /* background: white; */

  transition: background 0.2s ease;
  /* color: yellow; */
}

ul.todo#completed li .buttons button.complete svg {
  /* background: white; */
  fill: red;
  border: 0px;
}

ul.todo:not(#completed) li .buttons button.complete:hover svg {
  /* background: rgba(37, 185, 154, 0.75); */
  background: #292929;
  fill: yellow;
}

ul.todo:not(#completed) li .buttons button.complete:hover svg .fill {
  fill: yellow;
  background: #292929;
}

ul.todo#completed li .buttons button.complete svg .fill {
  /* fill: #fff; */
  fill: #ffff00;
}

ul.todo li .buttons button svg .fill {
  transition: fill 0.2s ease;
}

ul.todo li .buttons button.remove svg .fill {
  fill: #c0cecb;
}

ul.todo li .buttons button.remove:hover svg .fill {
  fill: #e85656;
}

ul.todo li .buttons button.complete svg .fill {
  /* fill: #25b99a; */
  fill: #808080;
}

ul.todo#pending {
  position: relative;
  padding: 60px 0 0 0;
}

ul.todo#pending:before {
  content: '';
  width: 150px;
  height: 2px;
  background: #c0c0c0;

  position: absolute;
  top: 30px;
  left: 50%;

  margin: 0 0 0 -75px;
}

#endList {

  text-align: center;
  
}

ul.todo#pending:empty:after {
  content: 'You have no lyric!';
  margin: 15px 0 0 0;
}

ul.todo#completed:empty:after {
  content: 'You can star a lyric to put them on top.';
}

ul.todo#pending:after,
ul.todo#completed:after {
  width: 100%;
  display: block;
  text-align: center;
  font-size: 12px;
  color: #aaa;
}


#add {
  width: 50px;
  height: 50px;

  position:fixed;
  bottom: 50px;
  right: 30px;
  z-index:2;

  border-radius: 25px;
  /* background: #fff; */
  border: 0px;
  box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.75);
  outline: none;
  cursor: pointer;

  -webkit-appearance: none;
  -moz-appearance: none;
}
/* 
#add svg {
  width: 16px;
  height: 16px;

  position: absolute;
  top: 50%;
  left: 50%;

  margin: -6px 0 0 -6px;
}

#add svg .fill {
  fill: #25b99a;
}
 */






p {
  color: #001818;
}

.wrap {
  position: absolute;
   overflow: hidden; 
  top: 55px;
   right: 5%; 
  bottom: 85px;
   left: 5%; 
   padding: 5px;
  display: block;
  border-radius: 4px;
  transform: translateY(20px);
  transition: all 0.5s;
  visibility: hidden;
  max-width: 700px;
  margin:auto;
  z-index: 6;
  
}
.wrap .content {
  opacity: 0;
}

.wrap .content #lyrics-container{

  
  /* bottom: 20px; */
  /* bottom: 50px; */
  /* top:50px; */

} 
.wrap .content textarea{
  display: block;
outline: none;
  -webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;

	width: 98%;
  resize: none;
  /* margin: 5px; */
  padding: 5px;
   /* position: absolute;  */
  border-radius: 3px;
  border: 1px solid transparent;
  border-top: none;
  border-bottom: 1px solid #DDD;
  box-shadow: inset 0 1px 2px rgba(0,0,0,.39), 0 -1px 1px #FFF, 0 1px 0 #FFF;
   background: #ddd; 
  height: 70vh;  
  max-height: 90%;
  /* height: 300px; */
  /* margin: auto; */
  overflow: auto;
  padding: 5px;
  margin: 5px;
}

.wrap .content input#songtitle{
  padding: 5px;
  margin: 5px;
  position: relative;
  max-width: 50%;
  height: 100%;
  border-radius: 3px;
  border: 1px solid transparent;
  border-top: none;
  border-bottom: 1px solid #DDD;
  box-shadow: inset 0 1px 2px rgba(0,0,0,.39), 0 -1px 1px #FFF, 0 1px 0 #FFF;
  background: #ddd;
   -webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;

  width: 100%;
  
}


.wrap:before {
  position: absolute;
  width: 1px;
  height: 1px;
  background: white;
  content: "";
  bottom: 10px;
  left: 50%;
  top: 95%;
  color: #fff;
  border-radius: 50%;
  -webkit-transition: all 600ms cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: all 600ms cubic-bezier(0.215, 0.61, 0.355, 1);
}
.wrap.active {
  display: block;
  visibility: visible;
  box-shadow: 2px 3px 16px silver;
  transition: all 600ms;
  transform: translateY(0px);
  transition: all 0.5s;
}
.wrap.active:before {
  height: 2000px;
  width: 2000px;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  margin-left: -1000px;
  margin-top: -1000px;
  display: block;
  -webkit-transition: all 600ms cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: all 600ms cubic-bezier(0.215, 0.61, 0.355, 1);
}
.wrap.active .content {
  position: relative;
  z-index: 1;
  opacity: 1;
  transition: all 600ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

a.button {
  padding: 11px 11px 13px 13px;
  outline: none;
  border-radius: 50%;
  background: #292929;
  color: #fff;
  font-size: 24px;
  display: block;
  position: fixed;
  left: 50%;
  bottom: 20px;
  top: auto;
  margin-left: -25px;
  transition: transform 0.25s;
  
}
a.button:hover {
  text-decoration: none;
  background: #00ff00;
}
a.button.active {
  transform: rotate(135deg);
  transition: transform 0.5s;
}

.btnvoice {
  font-size: 1em;
  width: 2vw;
  padding: 3px;
  color: #808000;
  /* border: 2px solid #06D85F; */
  border-radius: 20px/50px;
  text-decoration: none;
  cursor: pointer;
  transition: all 0.3s ease-out;
  border: 0px;
  box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.75);
  outline: none;
  cursor: pointer;
}